// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: switchmodule/switchmodule.proto

package openfmb.switchmodule;

public final class Switchmodule {
  private Switchmodule() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchDiscreteControlXSWI_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchDiscreteControlXSWI_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchDiscreteControl_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchDiscreteControl_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_ProtectedSwitch_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_ProtectedSwitch_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchDiscreteControlProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchDiscreteControlProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchEventXSWI_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchEventXSWI_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchEvent_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchEvent_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchEventProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchEventProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchReading_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchReading_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchReadingProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchReadingProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchStatusXSWI_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchStatusXSWI_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchStatus_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchStatus_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_switchmodule_SwitchStatusProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_switchmodule_SwitchStatusProfile_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\037switchmodule/switchmodule.proto\022\014switc" +
      "hmodule\032\tuml.proto\032\037commonmodule/commonm" +
      "odule.proto\"\303\001\n\031SwitchDiscreteControlXSW" +
      "I\022H\n\025logicalNodeForControl\030\001 \001(\0132#.commo" +
      "nmodule.LogicalNodeForControlB\004\200\265\030\001\022#\n\003P" +
      "os\030\002 \001(\0132\026.commonmodule.PhaseDPC\0227\n\025Rese" +
      "tProtectionPickup\030\003 \001(\0132\030.commonmodule.C" +
      "ontrolSPC\"\311\001\n\025SwitchDiscreteControl\0226\n\014c" +
      "ontrolValue\030\001 \001(\0132\032.commonmodule.Control" +
      "ValueB\004\200\265\030\001\022,\n\005check\030\002 \001(\0132\035.commonmodul" +
      "e.CheckConditions\022J\n\031switchDiscreteContr" +
      "olXSWI\030\003 \001(\0132\'.switchmodule.SwitchDiscre" +
      "teControlXSWI\"W\n\017ProtectedSwitch\022D\n\023cond" +
      "uctingEquipment\030\001 \001(\0132!.commonmodule.Con" +
      "ductingEquipmentB\004\200\265\030\001\"\370\001\n\034SwitchDiscret" +
      "eControlProfile\022B\n\022controlMessageInfo\030\001 " +
      "\001(\0132 .commonmodule.ControlMessageInfoB\004\200" +
      "\265\030\001\022@\n\017protectedSwitch\030\002 \001(\0132\035.switchmod" +
      "ule.ProtectedSwitchB\010\210\265\030\001\220\265\030\001\022L\n\025switchD" +
      "iscreteControl\030\003 \001(\0132#.switchmodule.Swit" +
      "chDiscreteControlB\010\210\265\030\001\220\265\030\001:\004\300\363\030\001\"\306\001\n\017Sw" +
      "itchEventXSWI\022V\n\034logicalNodeForEventAndS" +
      "tatus\030\001 \001(\0132*.commonmodule.LogicalNodeFo" +
      "rEventAndStatusB\004\200\265\030\001\0226\n\013DynamicTest\030\002 \001" +
      "(\0132!.commonmodule.ENS_DynamicTestKind\022#\n" +
      "\003Pos\030\003 \001(\0132\026.commonmodule.PhaseDPS\"y\n\013Sw" +
      "itchEvent\0222\n\neventValue\030\001 \001(\0132\030.commonmo" +
      "dule.EventValueB\004\200\265\030\001\0226\n\017switchEventXSWI" +
      "\030\002 \001(\0132\035.switchmodule.SwitchEventXSWI\"\326\001" +
      "\n\022SwitchEventProfile\022>\n\020eventMessageInfo" +
      "\030\001 \001(\0132\036.commonmodule.EventMessageInfoB\004" +
      "\200\265\030\001\022@\n\017protectedSwitch\030\002 \001(\0132\035.switchmo" +
      "dule.ProtectedSwitchB\010\210\265\030\001\220\265\030\001\0228\n\013switch" +
      "Event\030\003 \001(\0132\031.switchmodule.SwitchEventB\010" +
      "\210\265\030\001\220\265\030\001:\004\300\363\030\001\"\263\002\n\rSwitchReading\022b\n\"cond" +
      "uctingEquipmentTerminalReading\030\001 \001(\01320.c" +
      "ommonmodule.ConductingEquipmentTerminalR" +
      "eadingB\004\200\265\030\001\0222\n\017diffReadingMMXU\030\002 \001(\0132\031." +
      "commonmodule.ReadingMMXU\022*\n\tphaseMMTN\030\003 " +
      "\001(\0132\027.commonmodule.PhaseMMTN\022.\n\013readingM" +
      "MTR\030\004 \001(\0132\031.commonmodule.ReadingMMTR\022.\n\013" +
      "readingMMXU\030\005 \001(\0132\031.commonmodule.Reading" +
      "MMXU\"\344\001\n\024SwitchReadingProfile\022B\n\022reading" +
      "MessageInfo\030\001 \001(\0132 .commonmodule.Reading" +
      "MessageInfoB\004\200\265\030\001\022@\n\017protectedSwitch\030\002 \001" +
      "(\0132\035.switchmodule.ProtectedSwitchB\010\210\265\030\001\220" +
      "\265\030\001\022@\n\rswitchReading\030\003 \003(\0132\033.switchmodul" +
      "e.SwitchReadingB\014\210\265\030\001\220\265\030\001\230\265\030\002:\004\300\363\030\001\"\203\002\n\020" +
      "SwitchStatusXSWI\022V\n\034logicalNodeForEventA" +
      "ndStatus\030\001 \001(\0132*.commonmodule.LogicalNod" +
      "eForEventAndStatusB\004\200\265\030\001\0226\n\013DynamicTest\030" +
      "\002 \001(\0132!.commonmodule.ENS_DynamicTestKind" +
      "\022#\n\003Pos\030\004 \001(\0132\026.commonmodule.PhaseDPS\022:\n" +
      "\020ProtectionPickup\030\005 \001(\0132\026.commonmodule.P" +
      "haseSPSB\010\210\265\030\001\220\265\030\001\"~\n\014SwitchStatus\0224\n\013sta" +
      "tusValue\030\001 \001(\0132\031.commonmodule.StatusValu" +
      "eB\004\200\265\030\001\0228\n\020switchStatusXSWI\030\002 \001(\0132\036.swit" +
      "chmodule.SwitchStatusXSWI\"\333\001\n\023SwitchStat" +
      "usProfile\022@\n\021statusMessageInfo\030\001 \001(\0132\037.c" +
      "ommonmodule.StatusMessageInfoB\004\200\265\030\001\022@\n\017p" +
      "rotectedSwitch\030\002 \001(\0132\035.switchmodule.Prot" +
      "ectedSwitchB\010\210\265\030\001\220\265\030\001\022:\n\014switchStatus\030\003 " +
      "\001(\0132\032.switchmodule.SwitchStatusB\010\210\265\030\001\220\265\030" +
      "\001:\004\300\363\030\001B\204\001\n\024openfmb.switchmoduleP\001ZSgitl" +
      "ab.com/openfmb/psm/ops/protobuf/go-openf" +
      "mb-ops-protobuf/v2/openfmb/switchmodule\252" +
      "\002\024openfmb.switchmoduleb\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          openfmb.Uml.getDescriptor(),
          openfmb.commonmodule.Commonmodule.getDescriptor(),
        });
    internal_static_switchmodule_SwitchDiscreteControlXSWI_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_switchmodule_SwitchDiscreteControlXSWI_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchDiscreteControlXSWI_descriptor,
        new java.lang.String[] { "LogicalNodeForControl", "Pos", "ResetProtectionPickup", });
    internal_static_switchmodule_SwitchDiscreteControl_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_switchmodule_SwitchDiscreteControl_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchDiscreteControl_descriptor,
        new java.lang.String[] { "ControlValue", "Check", "SwitchDiscreteControlXSWI", });
    internal_static_switchmodule_ProtectedSwitch_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_switchmodule_ProtectedSwitch_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_ProtectedSwitch_descriptor,
        new java.lang.String[] { "ConductingEquipment", });
    internal_static_switchmodule_SwitchDiscreteControlProfile_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_switchmodule_SwitchDiscreteControlProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchDiscreteControlProfile_descriptor,
        new java.lang.String[] { "ControlMessageInfo", "ProtectedSwitch", "SwitchDiscreteControl", });
    internal_static_switchmodule_SwitchEventXSWI_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_switchmodule_SwitchEventXSWI_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchEventXSWI_descriptor,
        new java.lang.String[] { "LogicalNodeForEventAndStatus", "DynamicTest", "Pos", });
    internal_static_switchmodule_SwitchEvent_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_switchmodule_SwitchEvent_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchEvent_descriptor,
        new java.lang.String[] { "EventValue", "SwitchEventXSWI", });
    internal_static_switchmodule_SwitchEventProfile_descriptor =
      getDescriptor().getMessageTypes().get(6);
    internal_static_switchmodule_SwitchEventProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchEventProfile_descriptor,
        new java.lang.String[] { "EventMessageInfo", "ProtectedSwitch", "SwitchEvent", });
    internal_static_switchmodule_SwitchReading_descriptor =
      getDescriptor().getMessageTypes().get(7);
    internal_static_switchmodule_SwitchReading_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchReading_descriptor,
        new java.lang.String[] { "ConductingEquipmentTerminalReading", "DiffReadingMMXU", "PhaseMMTN", "ReadingMMTR", "ReadingMMXU", });
    internal_static_switchmodule_SwitchReadingProfile_descriptor =
      getDescriptor().getMessageTypes().get(8);
    internal_static_switchmodule_SwitchReadingProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchReadingProfile_descriptor,
        new java.lang.String[] { "ReadingMessageInfo", "ProtectedSwitch", "SwitchReading", });
    internal_static_switchmodule_SwitchStatusXSWI_descriptor =
      getDescriptor().getMessageTypes().get(9);
    internal_static_switchmodule_SwitchStatusXSWI_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchStatusXSWI_descriptor,
        new java.lang.String[] { "LogicalNodeForEventAndStatus", "DynamicTest", "Pos", "ProtectionPickup", });
    internal_static_switchmodule_SwitchStatus_descriptor =
      getDescriptor().getMessageTypes().get(10);
    internal_static_switchmodule_SwitchStatus_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchStatus_descriptor,
        new java.lang.String[] { "StatusValue", "SwitchStatusXSWI", });
    internal_static_switchmodule_SwitchStatusProfile_descriptor =
      getDescriptor().getMessageTypes().get(11);
    internal_static_switchmodule_SwitchStatusProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_switchmodule_SwitchStatusProfile_descriptor,
        new java.lang.String[] { "StatusMessageInfo", "ProtectedSwitch", "SwitchStatus", });
    com.google.protobuf.ExtensionRegistry registry =
        com.google.protobuf.ExtensionRegistry.newInstance();
    registry.add(openfmb.Uml.optionMultiplicityMax);
    registry.add(openfmb.Uml.optionMultiplicityMin);
    registry.add(openfmb.Uml.optionOpenfmbProfile);
    registry.add(openfmb.Uml.optionParentMessage);
    registry.add(openfmb.Uml.optionRequiredField);
    com.google.protobuf.Descriptors.FileDescriptor
        .internalUpdateFileDescriptor(descriptor, registry);
    openfmb.Uml.getDescriptor();
    openfmb.commonmodule.Commonmodule.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
